import 'package:custom_compass/repos/magnetometer.dart';
import 'package:flutter/material.dart';

class Compass extends StatelessWidget {
  const Compass({
    Key? key,
    required this.magnetometerRepo,
    this.child,
  }) : super(key: key);

  /// instance of a MagnetometerRepository
  final MagnetometerRepository magnetometerRepo;

  /// Widget
  final Widget? child;

  @override
  Widget build(BuildContext context) {
    return StreamBuilder<double>(
        stream: magnetometerRepo.azStream,
        builder: (context, snapshot) {
          final data = snapshot.data!;
          return Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: <Widget>[
                Transform.rotate(
                  angle: data / 57.295779513,
                  child: child ??
                      const Image(
                        image: AssetImage('assets/compass.png'),
                        fit: BoxFit.cover,
                        width: 150,
                        height: 150,
                      ),
                ),
              ],
            ),
          );
        });
  }
}
